/*
    tstore - an archive format for archiving tar archives
    Copyright (C) 2004-2005  Kasper Dupont

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    with permission from the author any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    $Id: blocknum.c,v 1.2 2005/04/11 08:33:14 kasperd Exp $
*/

#include "tstore.h"

uint64_t get_nbyteint(uint8_t *p, int n)
{
  uint64_t r=0;
  int i;
  for (i=0;i<n;++i)
    r=(r<<8)+p[i];
  return r;
}

void put_nbyteint(uint8_t *p, int n, uint64_t v)
{
  int i;
  for (i=0;i<n;++i)
    p[i]=v>>(((n-1)-i)*8);
  assert(get_nbyteint(p,n)==v);
}
