/*
    tstore - an archive format for archiving tar archives
    Copyright (C) 2005  Kasper Dupont

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    with permission from the author any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    $Id: tdelete.c,v 1.1 2005/04/12 20:14:55 kasperd Exp $
*/

#include "tstore.h"


int main(int argc, char ** argv)
{
  int store_fd,store_size;
  uint8_t buf[512];
  char answer[9];

  if (argc != 2) {
    fprintf(stderr,"Uage: %s <store>\n",argv[0]);
    return EXIT_FAILURE;
  }

  store_fd=open(argv[1],O_RDWR);
  if (store_fd==-1) {
    perror(argv[1]);
    return 1;
  }

  store_size=test_store_size(store_fd,1);
  store_error(store_size,argv[1]);

  assert(pread(store_fd,buf,512,0)==512);
  assert(pread(store_fd,buf,512,512*GET_BNUM(buf+NEXTPTR_OFFSET))==512);

  fprintf(stderr,"Are you sure you want to delete \"%s\" from \"%s\"? ",
	  buf+FILENAME_OFFSET,argv[1]);
  fgets(answer,6,stdin);
  if (strncasecmp(answer,"yes",3)) {
    fprintf(stderr,"Canceled\n");
    return EXIT_FAILURE;
  }
  assert(pwrite(store_fd,buf+STORESIZE_OFFSET,10,STORESIZE_OFFSET)==10);
  assert(!ftruncate(store_fd,512*GET_BNUM(buf+STORESIZE_OFFSET)));
  return 0;

}
